<template>
	<v-container grid-list-xl>
		<form v-on:submit="next">
			<v-layout wrap align-content-center>
				<v-flex xs12>
					<v-layout wrap align-content-center>
						<v-flex md6>
							<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped" :valid="!hasErrors('first_name')" :class="{'mdc-text-field--invalid': hasErrors('first_name')}" v-model="userInfo.first_name" v-validate="'required'" data-vv-name="first_name">
								<label class="mdc-floating-label">First Name</label>
							</m-text-field>
							<m-text-field-helper-text :validationMsg="hasErrors('first_name')" :class="{'mdc-has-error': hasErrors('first_name')}" v-if="hasErrors('first_name')">
								{{ errors.first('first_name') }}
							</m-text-field-helper-text>
						</v-flex>
						<v-flex md6>
							<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped" :valid="!hasErrors('last_name')" :class="{'mdc-text-field--invalid': hasErrors('last_name')}" v-model="userInfo.last_name" v-validate="'required'" data-vv-name="last_name">
								<label class="mdc-floating-label">Family Name</label>
							</m-text-field>
							<m-text-field-helper-text :validationMsg="hasErrors('last_name')"  :class="{'mdc-has-error': hasErrors('last_name')}"  v-if="hasErrors('last_name')">
								{{ errors.first('last_name') }}
							</m-text-field-helper-text>
						</v-flex>
					</v-layout>
					<div class="mdc-form-row">

					</div>
					<div class="mdc-form-row">
						<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped" :valid="!hasErrors('email')"  :class="{'mdc-text-field--invalid': hasErrors('email')}" v-model="userInfo.email" v-validate="'required|email'" data-vv-name="email">
							<label class="mdc-floating-label">Email Address</label>
						</m-text-field>
						<m-text-field-helper-text :validationMsg="hasErrors('email')" :class="{'mdc-has-error': hasErrors('email')}"  v-if="hasErrors('email')">
							{{ errors.first('email') }}
						</m-text-field-helper-text>
					</div>
					<div class="mdc-form-row">
						<m-text-field
							outlined required :useNativeValidation="false"
							class="mdc-text-field-outlined-shaped"
							ref="password"
							type="password"
							v-model="userInfo.password" :valid="!hasErrors('password')"
							:class="{'mdc-text-field--invalid': hasErrors('password')}"
							v-validate="{required: true, regex: /^(?=\S).*[^.\s]$/}" data-vv-name="password">
							<label class="mdc-floating-label">Password</label>
						</m-text-field>
						<m-text-field-helper-text :validationMsg="hasErrors('password')" class="mdc-text-field-helper-line" :class="{'mdc-has-error': hasErrors('password')}"  v-if="hasErrors('password')">
							{{ errors.first('password') }}
						</m-text-field-helper-text>
					</div>
					<div class="mdc-form-row">
						<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped" type="password" v-model="userInfo.confirmed_password" :valid="!hasErrors('confirmed_password')" :class="{'mdc-text-field--invalid': hasErrors('confirmed_password')}" v-validate="'required|confirmed:password'" data-vv-name="confirmed_password">
							<label class="mdc-floating-label">Confirmed Password</label>
						</m-text-field>
						<m-text-field-helper-text :validationMsg="hasErrors('confirmed_password')" class="mdc-text-field-helper-line" :class="{'mdc-has-error': hasErrors('confirmed_password')}"  v-if="hasErrors('confirmed_password')">
							{{ errors.first('confirmed_password') }}
						</m-text-field-helper-text>
					</div>
				</v-flex>
				<v-flex md12 class="text-xs-right">
					<div class="mdc-btn-row">
						<v-btn round color="primary" @click="next">
							Next
						</v-btn>
					</div>
				</v-flex>
			</v-layout>
		</form>
	</v-container>
</template>
<script src="./UserInfo.js"></script>
